﻿//    TestGenerator - experiment with piping data into ffmpeg in "pipefmt"
//    Copyright (C) 2012  Juergen Bohl

//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.

//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.

//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

namespace TestGenerator
{
    #region using directives
    using System;
    #endregion

    interface IAVSink
    {
        /// <summary>   Adds a frame which is given as a RGB24 bitmap. </summary>
        ///
        /// <param name="bitmap">   The bitmap. </param>
        /// <param name="size">     The size. </param>
        /// <param name="stride">   The stride. </param>
        void AddFrameRgb24(IntPtr bitmap, int size, int stride);

        /// <summary>   Adds an audio packet.  </summary>
        ///
        /// <param name="samples">  The audio samples. </param>
        void AddAudioSamplesInterleaved(short[] samples);
    }
}
