#include <stdint.h>

void ff_alignstubbed_deblock_v_luma_8_sse2(uint8_t *pix, int stride, int alpha,int beta, int8_t *tc0);
void ff_alignstubbed_deblock_h_luma_8_sse2(uint8_t *pix,int stride,int alpha,int beta,int8_t *tc0);
void ff_alignstubbed_deblock_v_luma_intra_8_sse2(uint8_t *pix, int stride,int alpha, int beta);
void ff_alignstubbed_deblock_h_luma_intra_8_sse2(uint8_t *pix, int stride,int alpha, int beta);

void ff_alignstubbed_deblock_v_luma_8_avx(uint8_t *pix, int stride, int alpha,int beta, int8_t *tc0);
void ff_alignstubbed_deblock_h_luma_8_avx(uint8_t *pix, int stride, int alpha,int beta, int8_t *tc0);
void ff_alignstubbed_deblock_v_luma_intra_8_avx(uint8_t *pix, int stride,int alpha, int beta);
void ff_alignstubbed_deblock_h_luma_intra_8_avx(uint8_t *pix, int stride,int alpha, int beta);

void ff_alignstubbed_h264_idct8_add_10_sse2(uint8_t *dst /*align 8*/,DCTELEM *block /*align 16*/, int stride);
void ff_alignstubbed_h264_idct8_add4_10_sse2(uint8_t *dst /*align 16*/, const int *blockoffset,DCTELEM *block /*align 16*/, int stride,const uint8_t nnzc[15 * 8]);

void ff_alignstubbed_deblock_v_luma_10_sse2(uint8_t *pix /*align 16*/, int stride,int alpha, int beta, int8_t *tc0);
void ff_alignstubbed_deblock_h_luma_10_sse2(uint8_t *pix /*align 4 */, int stride,int alpha, int beta, int8_t *tc0);
void ff_alignstubbed_deblock_v_luma_intra_10_sse2(uint8_t *pix, int stride,int alpha, int beta);
void ff_alignstubbed_deblock_h_luma_intra_10_sse2(uint8_t *pix, int stride,int alpha, int beta);

void ff_alignstubbed_h264_idct8_add_10_avx(uint8_t *dst /*align 8*/,DCTELEM *block /*align 16*/, int stride);
void ff_alignstubbed_h264_idct8_add4_10_avx(uint8_t *dst /*align 16*/, const int *blockoffset,DCTELEM *block /*align 16*/, int stride,const uint8_t nnzc[15 * 8]);

void ff_alignstubbed_deblock_v_luma_10_avx(uint8_t *pix /*align 16*/, int stride,int alpha, int beta, int8_t *tc0);
void ff_alignstubbed_deblock_h_luma_10_avx(uint8_t *pix /*align 4 */, int stride,int alpha, int beta, int8_t *tc0);
void ff_alignstubbed_deblock_v_luma_intra_10_avx(uint8_t *pix, int stride,int alpha, int beta);
void ff_alignstubbed_deblock_h_luma_intra_10_avx(uint8_t *pix, int stride,int alpha, int beta);

// stubs for vp8dsp.asm (somewhat misplaced here...)

void ff_alignstubbed_vp8_h_loop_filter16y_mbedge_sse4(uint8_t *dst, ptrdiff_t stride, int flim_E, int flim_I, int hev_thresh);
void ff_alignstubbed_vp8_h_loop_filter8uv_mbedge_sse4(uint8_t *dstU, uint8_t *dstV, ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);

void ff_alignstubbed_vp8_v_loop_filter16y_inner_ssse3(uint8_t *dst, ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);
void ff_alignstubbed_vp8_h_loop_filter16y_inner_ssse3(uint8_t *dst, ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);
void ff_alignstubbed_vp8_v_loop_filter8uv_inner_ssse3(uint8_t *dstU, uint8_t *dstV,ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);
void ff_alignstubbed_vp8_h_loop_filter8uv_inner_ssse3(uint8_t *dstU, uint8_t *dstV,ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);
void ff_alignstubbed_vp8_v_loop_filter16y_mbedge_ssse3(uint8_t *dst, ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);
void ff_alignstubbed_vp8_h_loop_filter16y_mbedge_ssse3(uint8_t *dst, ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);
void ff_alignstubbed_vp8_v_loop_filter8uv_mbedge_ssse3(uint8_t *dstU, uint8_t *dstV, ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);
void ff_alignstubbed_vp8_h_loop_filter8uv_mbedge_ssse3(uint8_t *dstU, uint8_t *dstV, ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);

void ff_alignstubbed_vp8_h_loop_filter16y_inner_sse2(uint8_t *dst, ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);
void ff_alignstubbed_vp8_h_loop_filter8uv_inner_sse2(uint8_t *dstU, uint8_t *dstV,ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);
void ff_alignstubbed_vp8_h_loop_filter16y_mbedge_sse2(uint8_t *dst, ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);
void ff_alignstubbed_vp8_h_loop_filter8uv_mbedge_sse2(uint8_t *dstU, uint8_t *dstV, ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);

void ff_alignstubbed_vp8_v_loop_filter16y_inner_sse2(uint8_t *dst, ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);
void ff_alignstubbed_vp8_v_loop_filter8uv_inner_sse2(uint8_t *dstU, uint8_t *dstV,ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);
void ff_alignstubbed_vp8_v_loop_filter16y_mbedge_sse2(uint8_t *dst, ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);
void ff_alignstubbed_vp8_v_loop_filter8uv_mbedge_sse2(uint8_t *dstU, uint8_t *dstV, ptrdiff_t stride,int flim_E, int flim_I, int hev_thresh);